# HTML Canvas Image Example

```
<!DOCTYPE html>
<html>
  <body>
    <center>
      <h1>USS Constellation (CV-64)<br>America's Flagship</h1>
      <button onclick="cv64function()">Display Image using Canvas</button>
      <br/><br/>
      <img id="cv64image" src="cv64AmericasFlagShip50x50.png" alt="cv64BattleE" width="50" height="50">
      &nbsp;&nbsp;

      <canvas id="cv64Canvas" width="50" height="50" style="border:1px solid #d3d3d3;">
        Your browser does not support the HTML canvas tag.
      </canvas>
      
      <br/><br/>
      <a href="https://gitlab.com/bobby.estey/wikibob/-/blob/master/docs/htmlCss/canvas/canvas.md">HTML Canvas Site</a>
            
    </center>
    
    <!--  JavaScript Function -->
    <script>
      function cv64function() {
        var canvas = document.getElementById("cv64Canvas");
        var context = canvas.getContext("2d");
        var image = document.getElementById("cv64image");
        context.drawImage(image,0,0);
      }
    </script>
    
  </body>
</html>
```

## Canvas Image Example

![Canvas Image Example](canvasImageExample.png)
